---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# ReturnItem

A return item represents a line item in an order that is to be returned. It includes details related to the return and the reason behind it.

## constructor

A return item represents a line item in an order that is to be returned. It includes details related to the return and the reason behind it.

___

## Properties

<ParameterTypes parameters={[
  {
    "name": "item_id",
    "type": "`string`",
    "description": "The ID of the Line Item that will be returned.",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "note",
    "type": "`string`",
    "description": "An optional note with information about the Return.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "quantity",
    "type": "`number`",
    "description": "The number of items that will be returned",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  },
  {
    "name": "reason_id",
    "type": "`string`",
    "description": "The ID of the Return Reason to use.",
    "optional": true,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>
